import type { PageServerLoad } from './$types';
import { Settings } from '$lib/server/database';

export const load: PageServerLoad = async () => {
	return {
		enabled: (await Settings.findOne({ where: { key: 'register.enabled' } }))?.value ?? true
	};
};
